#include <bits/stdc++.h>

using namespace std;

main()
{
    long int N;
    cin>>N;

    double a[N][2];

    for (int i = 0; i < N; i++)
    {
        for (int j = 0; j < 2; j++)
        {
            cin>>a[i][j];
        }

    }

    for(int i = 0; i < N - 1; i++)
    {

        for(int j = i + 1; j <N; j++)
        {
            if (a[j][1] > a[i][1])
            {
                double b = a[i][1];
                a[i][1] = a[j][1];
                a[j][1] = b;

                double c = a[i][0];
                a[i][0] = a[j][0];
                a[j][0] = c;

            }
        }
    }

    double m = 0;

    for(int i = 0; i < N; i++)
    {
        double sum = 0;
        for(int j=0;j<=i;j++)
            sum=sum+a[j][0]*(a[i][1]/100);

        if(sum>m)
            m=sum;
    }
    printf("%f",m);
}